Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1167404 - desktop-file-validate does not accept multiple file arguments
Summary: desktop-file-validate does not accept multiple file arguments
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: desktop-file-utils
Version: 7.0
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Ray Strode [halfline]
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-24 16:24 UTC by Orion Poplawski
Modified: 2015-11-19 07:24 UTC (History)
4 users (show)

Fixed In Version: desktop-file-utils-0.22-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 07:24:15 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 60744 0 None None None Never
Red Hat Product Errata RHBA-2015:2215 0 normal SHIPPED_LIVE gnome utilities bug fix and enhancement update 2015-11-19 08:26:52 UTC

Description Orion Poplawski 2014-11-24 16:24:12 UTC
Description of problem:

# desktop-file-validate /usr/share/applications/exo-*
See "desktop-file-validate --help" for correct usage.
# echo $?
1

This breaks some builds which expect to be able to do this.

Version-Release number of selected component (if applicable):
desktop-file-utils-0.21-4.el7.x86_64

Comment 3 Matthias Clasen 2015-05-08 19:40:45 UTC
Fixed in desktop-file-utils-0.22-1.el7

Comment 7 errata-xmlrpc 2015-11-19 07:24:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2215.html


Note You need to log in before you can comment on or make changes to this bug.